seduction
 Language:
Welcome, Guest. Please login or register.
Did you miss your activation email?
2018/11/13, 06:33:42


Help

Author [EN] [PL] [ES] [PT] [IT] [DE] [FR] [NL] [TR] [SR] [AR] [RU] Topic: xsane will be removed  (Read 841 times)

0 Members and 1 Guest are viewing this topic.

Offline Xaver

  • User
  • Posts: 40
xsane will be removed
« on: 2018/09/15, 13:35:21 »

At present upgrades of sane are a little confusing.
sane-utils (1.0.27-1) will remove libsane (1.0.25-4.1). Solution: Put sane-utils on hold until libsane will be upgraded to (1.0.27-...).


Current system upgrade will remove xsane. I could not find out why. So I put xsane on hold. The upgrade list did not change, but no removal of xsane anymore.
After the upgrade xsane still works fine.
Now I have marked xsane as unhold again and it is not indicated to be removed anymore.
Strange.
« Last Edit: 2018/09/18, 09:16:50 by Xaver »

Offline melmarker

  • Global Moderator
  • User
  • *****
  • Posts: 2.462
    • g-com.eu
Re: xsane will be removed
« Reply #1 on: 2018/09/15, 13:49:34 »
Thats easy - the debian maintainer create a mess and some people discuss how to solve - the solution is easy:
Code: [Select]
apt-mark hold xsane
and let the utils go. And wait a year or so - thats why we stick with the release name 'Patience' 8)
Those who would give up essential Liberty, to purchase a little temporary Safety, deserve neither Liberty nor Safety. (Benjamin Franklin, November 11, 1755)
Never attribute to malice that which can be adequately explained by stupidity. (Hanlons razor)

Offline clubex

  • User
  • Posts: 251
Re: xsane will be removed
« Reply #2 on: 2018/09/15, 22:50:00 »
Xsaver: Seems to be resolved now. I can't remember exactly what I did but I think I installed libsane1 which removed libsane. If xsane gets removed just reinstall it after installing libsane1.

Anyway simple-scan still works so you're not without a scanning tool.

Offline DeepDayze

  • User
  • Posts: 393
Re: xsane will be removed
« Reply #3 on: 2018/09/16, 04:25:08 »
Yes libsane1 replaced libsane...found that out as well.

Offline Xaver

  • User
  • Posts: 40
[solved] xsane will be removed
« Reply #4 on: 2018/09/16, 11:12:29 »
@clubex  @DeepDayze
Thank you. It was just  my fault to hang on to libsane.
I have missed, that libsane should be replaced by libsane1.


The debian developers have done a good job indeed.
Upgrades and Xsane work fine without any problems now.
« Last Edit: 2018/09/16, 13:00:10 by melmarker »

Offline melmarker

  • Global Moderator
  • User
  • *****
  • Posts: 2.462
    • g-com.eu
Re: [solved] xsane will be removed
« Reply #5 on: 2018/09/16, 11:58:30 »
erm - a good job is some kind different - it was bullshit and it remains bullshit.
Just see: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=908681

And no - the maintainer did not a good job.
Those who would give up essential Liberty, to purchase a little temporary Safety, deserve neither Liberty nor Safety. (Benjamin Franklin, November 11, 1755)
Never attribute to malice that which can be adequately explained by stupidity. (Hanlons razor)

Offline Xaver

  • User
  • Posts: 40
Re: [solved] xsane will be removed
« Reply #6 on: 2018/09/16, 12:36:15 »

@ melmarker
Ohh! Seems that I have been a little too humble.


P.S.: Do you have an idea, why my last post is in bold letters, allthough I have not formatted it in bold?
Also I wonder, why I cannot modify my first post of 'Kernel 4.18 –> X does not start in VirtualBox' anymore. It should be marked as solved.

Offline melmarker

  • Global Moderator
  • User
  • *****
  • Posts: 2.462
    • g-com.eu
Re: [solved] xsane will be removed
« Reply #7 on: 2018/09/16, 13:02:52 »
Code: [Select]
@ [font=droidsansbold][size=1em]clubex  @ [/size][/font][font=droidsansbold][size=1em]DeepDayze[/size][/font]
[font=droidsansbold]
The answer is dead easy - just don't use the visual editor - it is broken for years and was never fixed upstream

second: Limitation of smf - rights are not fine grained enough. If we would allow changes after a certain amount of time, we would allow deletion of old posts too - not the best idea.
Those who would give up essential Liberty, to purchase a little temporary Safety, deserve neither Liberty nor Safety. (Benjamin Franklin, November 11, 1755)
Never attribute to malice that which can be adequately explained by stupidity. (Hanlons razor)

Offline melmarker

  • Global Moderator
  • User
  • *****
  • Posts: 2.462
    • g-com.eu
Re: [solved] xsane will be removed
« Reply #8 on: 2018/09/18, 00:28:07 »
i was a bit creative and built the sane stack against a new libsane instead of libsane1 - it might be that i "forget" some breaks/replaces - in that case just install the needed packages with:

Code: [Select]
apt install libsane libsane-common libsane1-
Those who would give up essential Liberty, to purchase a little temporary Safety, deserve neither Liberty nor Safety. (Benjamin Franklin, November 11, 1755)
Never attribute to malice that which can be adequately explained by stupidity. (Hanlons razor)

Offline Xaver

  • User
  • Posts: 40
Re: xsane will be removed
« Reply #9 on: 2018/09/18, 09:28:27 »

Sorry – I have thought that libsane1 has solved the issue, but it has not.
Again Xsane and several other packages (colord gnome-color-manager libkf5sane5 libsane1 sane-utils tellico xsane) will be removed.
Interim solution:  # apt-mark hold xsane sane-utils
« Last Edit: 2018/09/18, 09:53:54 by Xaver »

Offline samoht

  • User
  • Posts: 293
Re: xsane will be removed
« Reply #10 on: 2018/09/18, 10:15:20 »
@Xaver,

let the packages go and reinstall them after that.

Here @melmarkers suggestion

Code: [Select]
apt install libsane libsane-common libsane1-
did the trick!

Offline hendrikL

  • User
  • Posts: 295
Re: xsane will be removed
« Reply #11 on: 2018/09/18, 10:26:09 »
@Xaver,

let the packages go and reinstall them after that.

Here @melmarkers suggestion

Code: [Select]
apt install libsane libsane-common libsane1-
did the trick!
Sorry, not if you have libsane1 installed.

Code: [Select]
LANG=C apt install libsane libsane-common libsane1-
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages will be REMOVED:
  libsane1
The following NEW packages will be installed:
  libsane
The following packages will be upgraded:
  libsane-common
1 upgraded, 1 newly installed, 1 to remove and 5 not upgraded.
Need to get 0 B/2759 kB of archives.
After this operation, 202 kB disk space will be freed.
Do you want to continue? [Y/n]
(Reading database ... 364540 files and directories currently installed.)
Preparing to unpack .../libsane_1.0.27-2~1_amd64.deb ...
Unpacking libsane:amd64 (1.0.27-2~1) ...
dpkg: error processing archive /var/cache/apt/archives/libsane_1.0.27-2~1_amd64.deb (--unpack):
 trying to overwrite '/lib/udev/hwdb.d/20-sane.hwdb', which is also in package libsane1:amd64 1.0.27-1
dpkg-deb: error: paste subprocess was killed by signal (Broken pipe)
Errors were encountered while processing:
 /var/cache/apt/archives/libsane_1.0.27-2~1_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

Code: [Select]
LANG=C apt full-upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
The following packages will be REMOVED:
  hplip hplip-gui kolourpaint libkf5sane5 libsane1 printer-driver-postscript-hp sane sane-utils xsane
The following packages will be upgraded:
  kompare kpart5-kompare libgnutls30 libkomparediff2-5 libkompareinterface5 libsane-common
6 upgraded, 0 newly installed, 9 to remove and 0 not upgraded.
Need to get 1814 kB/2398 kB of archives.
After this operation, 25.8 MB disk space will be freed.
Do you want to continue? [Y/n] n
Abort.

« Last Edit: 2018/09/18, 10:34:22 by hendrikL »

Offline samoht

  • User
  • Posts: 293
Re: xsane will be removed
« Reply #12 on: 2018/09/18, 10:30:58 »
Libsane1 has been removed by @melmarkers apt command!
Look at the minus sign! :)

Offline hendrikL

  • User
  • Posts: 295
Re: xsane will be removed
« Reply #13 on: 2018/09/18, 10:38:53 »
see above , sorry i was not fast enough with my edit.

Offline drb

  • User
  • Posts: 121
Re: xsane will be removed
« Reply #14 on: 2018/09/18, 11:17:44 »
I had no issues with this . . . until today!
On update of libsane-common to 1.0.27-2~1 :
Code: [Select]
The following packages will be REMOVED:
   colord (1.4.3-3.1)
   hplip (3.17.10+repack0-7.1)
   hplip-gui (3.17.10+repack0-7.1)
   iscan (2.30.1-1~usb0.1.ltdl7)
   iscan-plugin-gt-x750 (2.1.2-1)
   kdegraphics (4:17.08.3+5.102)
   kolourpaint (4:18.04.0-1)
   kolourpaint4 (4:18.04.0-1)
   libkf5sane5 (17.08.3-1)
   libsane1 (1.0.27-1)
   sane (1.0.14-13.1)
   sane-utils (1.0.27-2~1)
   xsane (0.999-5)
« Last Edit: 2018/09/18, 11:33:48 by drb »